import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        main()
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        # self.assertEqual(output, '{"0":127907.55379718984,"1":222269.77522205363,"2":143604.46938495347,"3":268017.6065113987,"4":460686.5560042462,"5":406959.8765645142}')
        self.assertEqual(output, '[198102.4 289108.3]')

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
